Package com.io7m.coffeepick.api

# Class CoffeePickCatalogEventRepositoryUpdate

java.lang.Object
com.io7m.coffeepick.api.CoffeePickCatalogEventRepositoryUpdate

All Implemented Interfaces:
  `CoffeePickCatalogEventRepositoryUpdateType`, `CoffeePickCatalogEventType`, `CoffeePickEventType`

    public final class CoffeePickCatalogEventRepositoryUpdate
    extends java.lang.Object
    implements CoffeePickCatalogEventRepositoryUpdateType

An update of the catalog failed.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CoffeePickCatalogEventRepositoryUpdate.Builder` | Builds instances of type `CoffeePickCatalogEventRepositoryUpdate`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.api.CoffeePickEventType

  `CoffeePickEventType.Severity`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CoffeePickCatalogEventRepositoryUpdate.Builder` | `builder()` | Creates a builder for `CoffeePickCatalogEventRepositoryUpdate`.
  `static CoffeePickCatalogEventRepositoryUpdate` | `copyOf​(CoffeePickCatalogEventRepositoryUpdateType instance)` | Creates an immutable copy of a `CoffeePickCatalogEventRepositoryUpdateType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `CoffeePickCatalogEventRepositoryUpdate` that have equal attribute values.
  `RuntimeRepositoryEventUpdateType` | `event()` |
  `int` | `hashCode()` | Computes a hash code from attributes: `event`.
  `static CoffeePickCatalogEventRepositoryUpdate` | `of​(RuntimeRepositoryEventUpdateType event)` | Construct a new immutable `CoffeePickCatalogEventRepositoryUpdate` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `CoffeePickCatalogEventRepositoryUpdate` with attribute values.
  `CoffeePickCatalogEventRepositoryUpdate` | `withEvent​(RuntimeRepositoryEventUpdateType value)` | Copy the current immutable object by setting a value for the `event` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.api.CoffeePickCatalogEventRepositoryUpdateType

  `severity`

- ## Method Details

  - ### event

    public RuntimeRepositoryEventUpdateType event()
    Specified by:
      `event` in interface `CoffeePickCatalogEventRepositoryUpdateType`
    Returns:
      The repository event

  - ### withEvent

    public final CoffeePickCatalogEventRepositoryUpdate withEvent​(RuntimeRepositoryEventUpdateType value)
    Copy the current immutable object by setting a value for the `event` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for event
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `CoffeePickCatalogEventRepositoryUpdate` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `event`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `CoffeePickCatalogEventRepositoryUpdate` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static CoffeePickCatalogEventRepositoryUpdate of​(RuntimeRepositoryEventUpdateType event)
    Construct a new immutable `CoffeePickCatalogEventRepositoryUpdate` instance.
    Parameters:
      `event` - The value for the `event` attribute
    Returns:
      An immutable CoffeePickCatalogEventRepositoryUpdate instance

  - ### copyOf

    public static CoffeePickCatalogEventRepositoryUpdate copyOf​(CoffeePickCatalogEventRepositoryUpdateType instance)
    Creates an immutable copy of a `CoffeePickCatalogEventRepositoryUpdateType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable CoffeePickCatalogEventRepositoryUpdate instance

  - ### builder

    public static CoffeePickCatalogEventRepositoryUpdate.Builder builder()
    Creates a builder for `CoffeePickCatalogEventRepositoryUpdate`.

         CoffeePickCatalogEventRepositoryUpdate.builder()
            .setEvent(com.io7m.coffeepick.repository.spi.RuntimeRepositoryEventUpdateType) // required event
            .build();

    Returns:
      A new CoffeePickCatalogEventRepositoryUpdate builder